
Django DataTables - Feature #1786

Support all column options

2011-12-15 18:24 - David Horton

Status: Assigned Start date: 2011-12-15

Priority: Normal Due date:  

Assignee: David Horton % Done: 80%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

see http://datatables.net/usage/columns

asSorting

aTargets

bSearchable

bSortable

bUseRendered

bVisible

fnRender

iDataSort

mDataProp

sClass

sDefaultContent

sName

sSortDataType

sTitle

sType

sWidth

Associated revisions

Revision 6 - 2011-12-15 18:26 - David Horton

re #1786 Added support for bVisible, iDataSort, bSearchable.

Revision 7 - 2011-12-15 20:00 - David Horton

re #1786 Added support for bSortable, sClass.

Revision 8 - 2011-12-16 14:06 - Chris Church

re #1786 More work on support for various column and table options.

Revision 12 - 2011-12-27 21:27 - David Horton

re #1786 Now handles functions and arrays in the both column options and table-wide options.

Revision 13 - 2012-01-03 22:02 - David Horton

re #1786 Updated tests to work with newest changes.

Revision 20 - 2012-02-06 21:05 - David Horton

re #1786 Added support for expandable rows.

History

#1 - 2011-12-27 21:31 - David Horton

- % Done changed from 20 to 80
